#
# spec file for package leafnode (Version 1.9.52.rel)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  pcre
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool pcre pcre-devel perl rpm

Name:         leafnode
License:      X11/MIT, Other License(s), see package
Group:        Productivity/Networking/News/Servers
Provides:     nntp_daemon
Conflicts:    inn cnews
Autoreqprov:  on
Version:      1.9.52.rel
Release:      5
PreReq:       /bin/mkdir /bin/cat
Requires:     pcre
Summary:      A Leafsite NNTP Server
URL:          http://www.leafnode.org
Source0:      http://heanet.dl.sourceforge.net/sourceforge/leafnode/leafnode-%{version}.tar.bz2
Source1:      README.SuSE
Source2:      leafnode.cron.daily
Source3:      filters
Source4:      leafnode.xinetd
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Leafnode is a small NNTP server for leaf sites without permanent
connections to the Internet. It supports a subset of NNTP and is able
to automatically fetch the newsgroups the user reads regularly from the
ISP's news server.



Authors:
--------
    Arnt Gulbrandsen <agulbra@troll.no>
    Cornelius Krasel <krasel@wpxx02.toxi.uni-wuerzburg.de>
    Kent Robotti <robotti@erols.com>
    Markus Enzenberger <enz@cip.physik.uni-muenchen.de>
    Randolf  Skerka  <rskerka@metronet.de>

%prep
%setup -n %{name}-%{version}

%build
%define prefix /usr
CFLAGS="$RPM_OPT_FLAGS"
./configure --with-ipv6 \
    --prefix=%{prefix} \
    --sysconfdir=%{_sysconfdir}/%{name} \
    --with-spooldir=/var/spool/news \
    --mandir=%{_mandir} \
    --localstatedir=/var
make
make check

%install
[ "$RPM_BUILD_ROOT" != "/" -a -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT install-strip
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/cron.daily  $RPM_BUILD_ROOT/%{_sysconfdir}/xinetd.d
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/%{_sysconfdir}/cron.daily/%{name}
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/%{_sysconfdir}/xinetd.d/%{name}
cp $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}/config.example $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}/config
install -m 644 %{SOURCE1} .
install -m 640 %{SOURCE3} $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/de/man1
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/de/man8
# Get rid of files we don't want to package or package with %doc below
rm -f $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}/*.dist
rm -f $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}/UNINSTALL-daemontools
rm -f $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}/filters.example

%clean
# Clear up the mess
[ "$RPM_BUILD_ROOT" != "/" -a -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%pre
# Only send this message, if it is an update from an old version
if [ -d usr/lib/leafnode ]
then
mkdir -p var/adm/notify/messages
cat << EOT > var/adm/notify/messages/leafnode-changes
(English version below)
UPDATE VON VERSIONEN < 1.9.23
Damit Benutzer ausserhalb des LANs auf den News-Server zugreifen knnen,
war es bisher nur ntig, entsprechende Anpassungen an hosts.allow
vorzunehmen. Seit leafnode 1.9.23 ist zustzlich ein Parameter in der
der config Datei korrekt zu setzen. Ein Beispiel dazu findet sich in
der Datei config.example.
Dies Standardeinstellung ist als Sicherheitsmanahme zu verstehen,
damit man als Anfnger nicht die Kontrolle ber den Newsserver
verliert ;-)
(English version)
UPDATE FROM VERSIONS < 1.9.23
If you want remote users (that are not in your LANs) that have access to
your server in, you would only need to allow them in hosts.allow
previously. Since leafnode 1.9.23, an additional parameter is required
to be set to allow users outside of your LAN access to your leafnode.
The config.example file has documentation on how to set this parameter.
This is meant as additional security measure when some novice user hoses
his access control configuration.
EOT
fi

%files
%defattr(-,root,root)
%attr(640,root,news) %config(noreplace) %{_sysconfdir}/%{name}/config
%attr(440,root,news) %{_sysconfdir}/%{name}/config.example
%attr(640,root,news) %config(noreplace) %{_sysconfdir}/%{name}/filters
%attr(755,root,root) %config(noreplace) %{_sysconfdir}/cron.daily/%{name}
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/xinetd.d/%{name}
%attr(750,root,news) %dir %{_sysconfdir}/%{name}
%doc ChangeLog COPYING CREDITS INSTALL NEWS TODO FAQ.txt FAQ.pdf
%doc PCRE_README README README.SuSE README-FQDN README-daemontools
%doc update.sh UNINSTALL-daemontools setup-daemontools.sh filters.example
%doc ADD-ONS KNOWNBUGS
%doc doc_german/
%doc %{_mandir}/man1/newsq.1.gz
%doc %{_mandir}/man1/leafnode-version.1.gz
%doc %{_mandir}/man8/applyfilter.8.gz
%doc %{_mandir}/man8/checkgroups.8.gz
%doc %{_mandir}/man8/fetchnews.8.gz
%doc %{_mandir}/man8/leafnode.8.gz
%doc %{_mandir}/man8/texpire.8.gz
/usr/bin/newsq
/usr/bin/leafnode-version
/usr/sbin/applyfilter
/usr/sbin/checkgroups
/usr/sbin/fetchnews
/usr/sbin/leafnode
/usr/sbin/texpire
%attr(775,news,news) /var/spool/news

%changelog -n leafnode
* Fri Apr 16 2004 - rommel@suse.de
- update to version 1.9.52.rel (security fix, bug #38905)
* Wed Jul 09 2003 - rommel@suse.de
- update to version 1.9.42.rel
- added doc_german directory to /usr/share/doc/packages/leafnode
* Fri Jun 13 2003 - mmj@suse.de
- Remove files we don't want to package
- Package some extra ones
* Thu Mar 06 2003 - rommel@suse.de
- added a configuration file for xinetd
* Thu Feb 13 2003 - rommel@suse.de
- update to version 1.9.33.rel
  (fixes some bugs, enhances compatiblity with versions older
  than 1.9.23 and adds a per-server noread flag)
* Fri Jan 17 2003 - rommel@suse.de
- update to version 1.9.32.rel
- added "make check" to build section
* Wed Sep 18 2002 - ro@suse.de
- removed bogus self-provides
* Fri Aug 16 2002 - rommel@suse.de
- Added PreReq:
* Fri Jul 26 2002 - rommel@suse.de
- Update to 1.9.24.rel
- Updated README.SuSE
- Updated list of authors
* Thu Apr 25 2002 - rommel@suse.de
- Update to 1.9.22
- Fixed permissions of /etc/leafnode
  (thanks to matthias.andree@gmx.de)
* Tue Feb 19 2002 - grimmer@suse.de
- Updated README.SuSE to reflect 8.0 changes (thanks to Ulrich
  Mindrup for reminding me) (#13554)
* Wed Jul 11 2001 - grimmer@suse.de
- Update to 1.9.19 (bugfix release)
- added "su - news -c" to texpire call in daily cron job
* Wed May 02 2001 - grimmer@suse.de
- added check for existing groupinfo file to cron job
  to avoid unnecessary junk mail to root if fetchnews has
  not been run yet (#7457)
- minor changes to README.SuSE
* Sun Feb 11 2001 - grimmer@suse.de
- added /etc/cron.daily/leafnode to expire old articles
  (obsoletes the entry in /etc/crontab) (#6259)
* Tue Dec 05 2000 - grimmer@suse.de
- Update to 1.9.18 (bugfix release)
- bzipped sources
- removed README.SuSE from patch and added as a separate
  source file instead
* Thu Oct 05 2000 - grimmer@suse.de
- Update to 1.9.17 (bugfixes)
- corrected a path name in README.SuSE
- specfile correction: only send mail to root, if
  there was an update from a very old version
* Tue Aug 08 2000 - grimmer@suse.de
- Update to 1.9.15
* Mon Jun 19 2000 - grimmer@suse.de
- Update to 1.9.14
* Thu Mar 30 2000 - grimmer@suse.de
- Update to 1.9.12 (bugfixes)
* Thu Feb 24 2000 - grimmer@suse.de
- Update to 1.9.11 (bugfixes)
* Sun Feb 20 2000 - grimmer@suse.de
- patched Makefile.in to actually use mandir
* Thu Feb 17 2000 - grimmer@suse.de
- update to 1.9.10
- spec file cleanups
- added Group Tag and URL
- added german documentation and man pages
- use version and mandir macro in spec file
- marked config files as "noreplace"
* Tue Nov 23 1999 - grimmer@suse.de
- Added Y2K patch to nntpd.c
* Sat Oct 02 1999 - grimmer@suse.de
- added Provides nntp_daemon to specfile
- modified update notice
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 02 1999 - grimmer@suse.de
- update to 1.9.4
- added update.sh to $DOCDIR and adjusted README.SuSE
- fetch is now called fetchnews
* Wed Apr 28 1999 - ro@suse.de
- configure: hardcoded paths for RPM: detections breaks with rpm-3.0
* Wed Mar 10 1999 - grimmer@suse.de
- Updated specfile to send mail to root when updating from previous
  releases
- created sample filter configuration file
* Thu Mar 04 1999 - grimmer@suse.de
- update to Version 1.9.2
- now uses /etc/leafnode for configuration files
- changed permissions of /etc/leafnode/config (security reasons)
- now uses /var/lock/news for locking instead of /var/run
* Tue Feb 16 1999 - grimmer@suse.de
- update to Version 1.9
- now uses GNU autoconf
* Thu Jan 28 1999 - grimmer@suse.de
- update to Version 1.8.1
* Thu Dec 10 1998 - grimmer@suse.de
- update to Version 1.7.1
* Tue Nov 10 1998 - grimmer@suse.de
- New package (Version 1.6.2)
